好きなバージョンのアプリをインストール「AppStore++」にて発生するエラー問題への対処方法 [JBApp]

(12)

AppStoreから好きなバージョンのアプリをインストール出来るようになる【AppStore++】ですが、最近ダウングレードなどを行おうとした際にエラーが発生してしまう問題が…。
使いたいときに使えないと地味に困る物でもあるため、とりあえずの対処法がありますので、それについて記しておきたいと思います。

スポンサーリンク

AppStore++でエラーが…

AppStore++経由でバージョンを指定したインストール / アップデート / ダウングレードを行った際、「The iTunes Store is unable to process purchases at this time.」というエラーが発生してしまいます。

appstore-plusplus-v09142-fix-error-2

設定を変更で対処

本当はアップデートでの修正を待つのが一番なのですが、それまでは「とりあえずの対処」として設定を変更することでエラーを回避することが出来ます。
AppStoreのアカウントボタンを長押しすることでAppStore++の設定を呼び出せますので、そこから「DOWNLOAD OPTIONS」を「STDRDL (For some users)」に変更してあげましょう。
こうすることで、バージョンを指定したアプリのインストールなどが行えるようになるはずです。

appstore-plusplus-v09142-fix-error-3appstore-plusplus-v09142-fix-error-4

インストール

AppStore++自体のインストールは、以下リポジトリをCydiaやSileoに登録し、『AppStore++』をインストールしましょう。
*インストール後、初回AppStore起動時にポップアップが出現するので、「Proceed」を選択してください*

https://cokepokes.github.io/

appstore-plusplus-v09142-fix-error-6

とりあえず…の対処なため、全環境に対応できるかは何とも言えないのですが、私の環境ではすべてのデバイスで動作するようになっているため、たぶん多くの場合では大丈夫なのかなと思います。

コメント

  1. 助かりました〜(*´-`)

  2. 記事とは関係ないけど
    LINEの年確解除て今でもできるのかな?
    楽天モバイルに変えたら年確出来なくて
    調べたらFlex3betaで出来そうだけど無理だった。。

    • plist書き換えるやり方も対策されたからもう無理

      • ありがとうです

  3. App Adminでも同様のエラーが出ていたので乗り換えました
    情報ありがとうございます

  4. この設定しなくても普通に使えるってことは端末によるのかな

  5. 記事とは関係ありませんが、iphoneSE2にてios13.5の脱獄から入獄後にios14.3にアップデートしたのですが、Amazonミュージックが起動しません。
    デバイスの不正な変更が検出されました と表示されます。
    何か対処方法はありませんか?

    • 入獄する前に/var/libを削除して、バックアップしましたか?
      行ってない場合は脱獄来るまで、待機かリセットとなります。

      • 入獄前に削除しませんでした。次の脱獄まで待機します。
        ありがとうございました。

  6. 何が原因か分からないけど、LINEを最新版にアプデしたらトークを選択する時にフリーズしてクラッシュしてしまうので、本対策がなかったら危なかったです。

    • セーフモード試して、クラッシュが発生しなかったらTweakが原因です。

      • セーフモードにしても同様だったので、てんてこ舞いでした。

タイトルとURLをコピーしました